﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = 'https://downloads.graylog.org/releases/graylog-collector-sidecar/1.2.0/graylog_sidecar_installer_1.2.0-1.exe'
  softwareName  = 'graylog-sidecar*'
  checksum      = 'b83948b6e513b3ee2f282fe14ee0648f31e8cb861e5efcce96ba5735c8d9d52a'
  checksumType  = 'sha256'
  silentArgs   = '/S'
}

Install-ChocolateyPackage @packageArgs
